# Edit this file as needed and save it as: site.conf
# The application will work without it but tag editing will not work
# without saving this file as site.conf with the correct music_directory
# set.

[global]
# Change these to control a remote mpd instance.  Be aware that tag editing
# will not work if the music files cannot be opened with read/write access
# from this server via the music_directory option configured below.
mpd_host: "localhost"
mpd_port: 6600
;server_root: "/client175"

# Location of the music directory, required for editing tags.  This variable
# is also used to identify the folder for a given file in local cover lookups.
music_directory: "/var/mp3"

# Only change socket_host if you have multiple network interfaces and want
# to limit which one it listens on.  "0.0.0.0" listens on all interfaces.
server.socket_host: "0.0.0.0"

# Don't run this as root in order to use port 80!  This app was not built
# to be secure, it must be run with limited access.  Default is port 8080.
server.socket_port: 8800

# Setting the 'run_as' variable will allow you to start the process as root
# and drop the privelages to a restricted user account during server startup.
# This feature is useful when starting client175 during the init process
# and/or when starting as root to run on port 80.
;run_as: "user"

# Setting environment to production removes the verbose console output
# and disables auto-reload on file changes.
environment: "production"

# Setting include_playlist_counts to True will cause the server to count the
# number of songs and total playtime when listing saved playlists.  If you have
# large playlists this will cause a delay whenever a stored playlist is changed.
include_playlist_counts: True

# List of local locations to search for cover art.  The server will check
# these locations for covers before using web services.  The following
# variables are available fo substitution:
#   {folder}   Folder a given file is in
#   {artist}   Artist name
#   {album}    Album name
# This variable must be in the form of a python list.
local_covers: ["{folder}/folder.jpg", "{folder}/.folder.png"]
